/* Hero Section */

.section__hero {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: min-content 1fr;
    align-items: center;

    background: var(--bg-primary) 
                url("../assets/images/heroBackground.png") 
                no-repeat 
                left;
    background-size: contain;

    padding: 3.2rem 4.8rem;
    height: 100vh;

    position: relative;
    overflow: hidden;
}

.section__hero .wrapper {
    gap: 1.6rem;
}

.hero-text {
    max-width: 50%;
    grid-column: 2;
    gap: 4.8rem;
    justify-self: center;
}

.hero-text .heading-tertiary {
    color: var(--text-accent-2);
}

.action-btns {
    display: flex;
    gap: 0.8rem;
}

.action-btns a {
    transition: all 100ms;
}

.action-btns a:nth-child(1) {
    background-color: var(--bg-accent);
}

.action-btns a:nth-child(1):hover {
    background-color: #aeb98a;
    color: inherit;
}

.action-btns a:nth-child(2) {
    background-color: transparent;
    border-color: var(--bg-secondary);
    color: var(--bg-secondary);
}

.action-btns a:nth-child(2):hover {
    background-color: var(--bg-secondary);
    color: inherit;
}

.bear-img {
    position: absolute;
    right: 0;
    bottom: 0;
    width: 24rem;
}

/* News Section */

.section__articles {
    padding: 4.8rem;
}

.articles_container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 1fr);
    font-size: 1.6rem;
    gap: 2.4rem;
    margin-top: 2.4rem;

    .column {
        grid-row: span 2;
        display: grid;
        grid-template-rows: subgrid;
        gap: 2.4rem;
    }

    .card {
        grid-row: span 1;
        border: 2px solid var(--bg-primary);
        max-height: 100%;
    }

    .card__image {
        display: grid;
        grid-template-rows: 1fr min-content;
        max-height: 600px;
    }

    .card-content {
        padding: 2.4rem;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    .card-header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-bottom: 2.4rem;
        color: var(--bg-primary);
    }

    .card-title {
        font-weight: 800;
        font-size: 2.4rem;
    }

    .article-link {
        display: flex;
        align-items: center;
        gap: 0.4rem;
        margin-top: 1.6rem;
        justify-self: flex-end;
        background-color: var(--bg-primary);
        color: var(--text-white);
        padding: 0.8rem 1.2rem;
        border-radius: 10px;
        align-self: flex-end;
    }

    .link-icon {
        width: 2.4rem;
        height: 2.4rem;
        fill: var(--text-white);
    }

    img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
}

.article-popup {
    z-index: 4;

    width: 100%;
    height: 100%;

    position: fixed;
    top: 50%;
    left: 50%;

    transform: translate(-50%, -50%);

    display: flex;
    align-items: center;
    justify-content: center;

    backdrop-filter: blur(15px);
}

.article-popup-content {
    display: grid;
    grid-template-rows: min-content 1fr;
    overflow: hidden;
}

.article-preview {
    padding: 2.4rem;
    font-size: 1.6rem;
    min-height: 0;
    height: 100%;

    overflow: auto;
    overscroll-behavior: contain;

    * {
        all: revert;
        font-family: sans-serif;
    }

    img {
        width: 100%;
        object-fit: contain;
    }
}

.article-popup.inactive {
    display: none;
}

.article-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1.2rem 2.4rem;
    font-size: 1.6rem;
    border-bottom: 2px solid var(--bg-primary);
}

.article-close {
    outline: none;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    border-radius: 100px;
    padding: 2px;
    background-color: var(--bg-primary);
}

.article-close svg{
    width: 3.2rem;
    height: 3.2rem;
    fill: var(--text-white);
}

.article-popup-content {
    background-color: #fff;
    box-shadow: 1px 1px 3px  rgba(0, 0, 0, 0.2);
    border: 2px solid var(--bg-primary);
    border-radius: 10px;

    width: 80%;
    height: 80%;
}

/* About Section */

.section__about {
    padding: 6.4rem 4.8rem;
    font-size: 1.6rem;
    
    background: url("../assets/images/aboutBg.png") no-repeat right;
    background-size: contain;
}

.section__about .wrapper {
    max-width: 50%;
}

.section__about h2 {
    margin-bottom: 2.4rem;
}

.section__about p {
    margin-bottom: 3.2rem;
    color: var(--text-secondary);
}

.section__about ul {
    counter-reset: bullet;

    font-size: 2.0rem;
    font-family: Gluten;

    list-style-type: none;
}

.section__about ul li {
    position: relative;
    margin-left: 3.8rem;
}

.section__about ul li::after {
    counter-increment: bullet;
    content: counter(bullet);
    position: absolute;

    top: 50%;
    left: -3.8rem;

    width: 2.0rem;
    height: 2.0rem;

    display: flex;
    justify-content: center;
    align-items: center;

    font-family: serif;
    color: var(--color);
    font-weight: bold;

    border-radius: 2px;

    border: 2px solid var(--color);
}

.section__about ul li:nth-child(even)::after {
    transform: translateY(-60%) rotate(10deg);
}

.section__about ul li:nth-child(odd)::after {
    transform: translateY(-50%) rotate(-10deg);
}

.section__about ul li:not(:last-child) {
    margin-bottom: 2rem;
}

/* Staff Section */

.section__staff {
    padding: 4.8rem;
    color: var(--text-white);
    font-size: 2.0rem;
    font-family: Gluten;
    text-align: center;
}

.section__staff h2 {
    margin-bottom: 2.4rem;
}

.cards-wrapper {
    display: flex;
    overflow: hidden;
    gap: 3.2rem;
}

.cards-container {
    width: 100%;
    flex-shrink: 0;

    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: 1fr min-content;

    column-gap: 3.2rem;
    margin-bottom: 3.2rem;

    max-height: 70rem;
    transition: transform 1.25s;
}

.card {
    grid-row: span 2;
    display: grid;
    grid-template-rows: subgrid;
    border-radius: 10px;
    overflow: hidden;
}

.card figure {
    min-height: 0;
    background-color: var(--bg-secondary);
}

.card img {
    min-height: 0;
    display: block;

    width: 100%;
    height: 100%;
    object-fit: cover;
}

.card-text {
    padding: 2.4rem 1.2rem;
    background-color: var(--bg-primary);
}

.pagination-container,
.pagination-pages {
    display: flex;
    justify-content: center;
    align-items: center;
}

.pagination-container {
    gap: 2.4rem;
    font-size: 1.6rem;
}

.pagination-pages {
    gap: 0.8rem;
    color: var(--text-primary);
    font-family: sans-serif;
}

.pagination-pages .active {
    width: 2.8rem;
    height: 2.8rem;

    display: flex;
    justify-content: center;
    align-items: center;

    background-color: var(--bg-primary);
    color: var(--text-white);
    border-radius: 50%;
}

.pagination-container button {
    display: flex;
    align-items: center;
    gap: 0.4rem;

    border: none;
    background-color: transparent;
    font-size: inherit;
    font-family: "Sansation";
    color: var(--text-primary);

    cursor: pointer;
}

.pagination-container button:hover {
    text-decoration: underline;
}

.pagination-container button img {
    width: 2rem;
    height: 2rem;
}

/* Pricing Section */

.section__pricing {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    font-size: 1.6rem;
    padding: 4.8rem;

    background: url("../assets/images/pricingBg.png") no-repeat left bottom;
    background-size: 50%;
    column-gap: 12.8rem;
}

.section__pricing .wrapper {
    gap: 2.4rem;
}

.pricing-table {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: min-content 1fr;

    border: 2px solid var(--bg-primary);
    border-radius: 15px;
    overflow: hidden;
}

.section__pricing p {
    color: var(--text-secondary);
}

.pricing-table .tabs,
.pricing-table .tab-content {
    grid-column: span 2;
}

.pricing-table .tabs {
    display: grid;
    grid-template-columns: subgrid;
    text-align: center;

    span {
        padding: 1.2rem 2.4rem;
        font-size: 2.0rem;

        border-bottom: 2px solid var(--bg-primary);
        cursor: pointer;
        transition: all 100ms ease-in;
    }

    span:first-child {
        border-right: 2px solid var(--bg-primary);
    }

    span.active {
        background-color: var(--bg-primary);
        color: var(--text-white);
    }
}

.tab-content {
    padding: 2.4rem 3.2rem;
    font-size: 2.0rem;
}

.tab-content p {
    margin-bottom: 3.2rem;
}

.tab-content .heading-secondary {
    font-family: "Sansation";
    font-weight: 800;
    margin-bottom: 1.6rem;
}

.tab-content ul {
    gap: 1.6rem;

    list-style-type: none;
    margin-bottom: 3.2rem;
    font-size: 1.8rem;
}

.tab-content ul li {
    display: flex;
    align-items: center;
    gap: 0.8rem;
}

.tab-content ul li img {
    width: 2.4rem;
    height: 2.4rem;
}

.tab-content a,
.tab-content a:active,
.tab-content a:visited {
    display: block;
    background-color: var(--bg-primary);
    color: var(--text-white);
    padding: 1.2rem 1.6rem;
    border-radius: 5px;
    font-size: 1.6rem;
    text-align: center;
    
    transition: all 100ms;
}

.tab-content a:hover {
    background-color: #972534;
}

/* Contact Section */

.section__contact {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    padding: 6.4rem 4.8rem;

    background: url("../assets/images/infoBg.png") no-repeat;
    background-size: cover;

    align-items: center;
    justify-items: center;

    margin-block: 4.8rem;
    border-block: 1px solid var(--bg-primary);
}

.section__contact iframe {
    width: 80%;
    height: 40rem;

    border-radius: 10px;
    box-shadow: -1px 1px 3px rgba(0, 0, 0, 0.2);
}

.section__contact .heading-secondary {
    margin-bottom: 3.2rem;
}

.section__contact p {
    font-size: 2rem;
    color: var(--text-secondary);
    margin-bottom: 2.4rem;
}

.section__contact ul {
    gap: 1.2rem;
    list-style: none;
}

.section__contact ul li {
    display: flex;
    align-items: center;
    font-size: 2.0rem;
    gap: 0.8rem;
}

.section__contact ul li a {
    text-decoration: underline;
}

.section__contact .icon {
    fill: var(--text-primary);
}

/* Footer */

footer {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    justify-content: center;

    background-color: var(--bg-primary);
    padding: 6.4rem 4.8rem;

    font-size: 1.6rem;
}

footer .icon {
    fill: #DBDBDB;
}

footer h4 {
    color: var(--text-white);
    font-size: 2.0rem;
    margin-bottom: 1.6rem;
}

footer ul {
    list-style: none;
}

footer ul li {
    color: #DBDBDB;
}

footer ul li:not(:last-child) {
    margin-bottom: 1.2rem;
}

.footer-contact ul li {
    display: flex;
    align-items: center;
    font-family: 1.6rem;
    gap: 0.8rem;
}

.footer-contact ul li a {
    text-decoration: underline;
}

.footer-section:nth-child(2) ul li {
    text-decoration: underline;
}

.logo-wrapper {
    display: flex;
    align-items: center;
    height: min-content;
    gap: 1.6rem;
}

.logo-wrapper span {
    font-size: 4.883rem;
    color: var(--text-white);
    font-family: "Gluten";
}